"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpClientProvider = void 0;
const axios_1 = __importDefault(require("axios"));
class HttpClientProvider {
    constructor() { }
    get accessToken() {
        return this._accessToken;
    }
    set accessToken(value) {
        this._accessToken = value;
    }
    async get(url) {
        return (await axios_1.default.get(url, this.getHttpHeaders())).data;
    }
    async post(url, body) {
        return (await axios_1.default.post(url, body, this.getHttpHeaders())).data;
    }
    async put(url, body) {
        return (await axios_1.default.put(url, body, this.getHttpHeaders())).data;
    }
    async delete(url) {
        return (await axios_1.default.delete(url, this.getHttpHeaders())).data;
    }
    getHttpHeaders() {
        return { headers: { ["Authorization"]: `Bearer ${this.accessToken}` } };
    }
}
exports.HttpClientProvider = HttpClientProvider;
//# sourceMappingURL=http-client.provider.js.map