import { SessionStatus } from "./session-status";
import { SessionType } from "./session-type";
/**
 * This class contains metadata that represents a Leapp Session;
 * it has a concrete implementation for each specific Leapp Session type.
 * It implements an expired method used to tell whether the Session needs to be rotated or not.
 * In addition, this object is persisted in the Leapp configuration file (Leapp-lock.json).
 */
export declare class Session {
    sessionName: string;
    region: string;
    sessionId: string;
    status: SessionStatus;
    startDateTime?: string;
    type: SessionType;
    sessionTokenExpiration: string;
    constructor(sessionName: string, region: string);
    expired(): boolean;
}
