import { AwsNamedProfile } from "./aws/aws-named-profile";
import { IdpUrl } from "./idp-url";
import { Session } from "./session";
import "reflect-metadata";
import Folder from "./folder";
import Segment from "./segment";
import { AwsSsoIntegration } from "./aws/aws-sso-integration";
import { AzureIntegration } from "./azure/azure-integration";
import PluginStatus from "./plugin-status";
import { LeappNotification } from "./notification";
import { RemoteWorkspacesSettingsMap } from "./remote-workspace-settings-map";
export declare class Workspace {
    private _sessions;
    private _awsSsoIntegrations;
    private _azureIntegrations;
    private _defaultRegion;
    private _defaultLocation;
    private _macOsTerminal;
    private _idpUrls;
    private _profiles;
    private _remoteWorkspacesSettingsMap;
    private _notifications;
    private _pluginsStatus;
    private _pinned;
    private _folders;
    private _segments;
    private _colorTheme;
    private _extensionEnabled;
    private _requirePassword;
    private _touchIdEnabled;
    private _proxyConfiguration;
    private _credentialMethod;
    private _samlRoleSessionDuration;
    private _ssmRegionBehaviour;
    private _workspaceVersion;
    constructor();
    setNewWorkspaceVersion(): void;
    addIpUrl(idpUrl: IdpUrl): void;
    get macOsTerminal(): string;
    set macOsTerminal(value: string);
    get idpUrls(): IdpUrl[];
    set idpUrls(value: IdpUrl[]);
    get profiles(): AwsNamedProfile[];
    set profiles(value: AwsNamedProfile[]);
    get remoteWorkspacesSettingsMap(): RemoteWorkspacesSettingsMap;
    set remoteWorkspacesSettingsMap(value: RemoteWorkspacesSettingsMap);
    get sessions(): Session[];
    set sessions(value: Session[]);
    get proxyConfiguration(): {
        proxyProtocol: string;
        proxyUrl?: string;
        proxyPort: string;
        username?: string;
        password?: string;
    };
    set proxyConfiguration(value: {
        proxyProtocol: string;
        proxyUrl?: string;
        proxyPort: string;
        username?: string;
        password?: string;
    });
    get defaultRegion(): string;
    set defaultRegion(value: string);
    get defaultLocation(): string;
    set defaultLocation(value: string);
    get awsSsoIntegrations(): AwsSsoIntegration[];
    set awsSsoIntegrations(value: AwsSsoIntegration[]);
    get azureIntegrations(): AzureIntegration[];
    set azureIntegrations(value: AzureIntegration[]);
    get pinned(): string[];
    set pinned(pinned: string[]);
    get folders(): Folder[];
    set folders(folders: Folder[]);
    get segments(): Segment[];
    set segments(segments: Segment[]);
    get colorTheme(): string;
    set colorTheme(value: string);
    get credentialMethod(): string;
    set credentialMethod(credentialMethod: string);
    get pluginsStatus(): PluginStatus[];
    set pluginsStatus(newPlugins: PluginStatus[]);
    get ssmRegionBehaviour(): string;
    set ssmRegionBehaviour(ssmRegionBehaviour: string);
    get extensionEnabled(): boolean;
    set extensionEnabled(extensionEnabled: boolean);
    get samlRoleSessionDuration(): number;
    set samlRoleSessionDuration(duration: number);
    get notifications(): LeappNotification[];
    set notifications(notifications: LeappNotification[]);
    get requirePassword(): number;
    set requirePassword(value: number);
    get touchIdEnabled(): boolean;
    set touchIdEnabled(value: boolean);
}
