"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Workspace = void 0;
const session_1 = require("./session");
const uuid = __importStar(require("uuid"));
require("reflect-metadata");
const class_transformer_1 = require("class-transformer");
const constants_1 = require("./constants");
class Workspace {
    constructor() {
        this._pinned = [];
        this._sessions = [];
        this._folders = [];
        this._segments = [];
        this._defaultRegion = constants_1.constants.defaultRegion;
        this._defaultLocation = constants_1.constants.defaultLocation;
        this._macOsTerminal = constants_1.constants.macOsTerminal;
        this._idpUrls = [];
        this._profiles = [{ id: uuid.v4(), name: constants_1.constants.defaultAwsProfileName }];
        this._remoteWorkspacesSettingsMap = {};
        this._pluginsStatus = [];
        this._extensionEnabled = false;
        this._awsSsoIntegrations = [];
        this._azureIntegrations = [];
        this._proxyConfiguration = {
            proxyProtocol: "https",
            proxyUrl: undefined,
            proxyPort: "8080",
            username: undefined,
            password: undefined,
        };
        this._notifications = [];
        this._credentialMethod = constants_1.constants.credentialFile;
        this._samlRoleSessionDuration = constants_1.constants.samlRoleSessionDuration;
        this._ssmRegionBehaviour = constants_1.constants.ssmRegionNo;
    }
    setNewWorkspaceVersion() {
        this._workspaceVersion = constants_1.constants.workspaceLastVersion;
    }
    addIpUrl(idpUrl) {
        this._idpUrls.push(idpUrl);
    }
    get macOsTerminal() {
        return this._macOsTerminal;
    }
    set macOsTerminal(value) {
        this._macOsTerminal = value;
    }
    get idpUrls() {
        return this._idpUrls;
    }
    set idpUrls(value) {
        this._idpUrls = value;
    }
    get profiles() {
        return this._profiles;
    }
    set profiles(value) {
        this._profiles = value;
    }
    get remoteWorkspacesSettingsMap() {
        return this._remoteWorkspacesSettingsMap;
    }
    set remoteWorkspacesSettingsMap(value) {
        this._remoteWorkspacesSettingsMap = value;
    }
    get sessions() {
        return this._sessions;
    }
    set sessions(value) {
        this._sessions = value;
    }
    get proxyConfiguration() {
        return this._proxyConfiguration;
    }
    set proxyConfiguration(value) {
        this._proxyConfiguration = value;
    }
    get defaultRegion() {
        return this._defaultRegion;
    }
    set defaultRegion(value) {
        this._defaultRegion = value;
    }
    get defaultLocation() {
        return this._defaultLocation;
    }
    set defaultLocation(value) {
        this._defaultLocation = value;
    }
    get awsSsoIntegrations() {
        return this._awsSsoIntegrations;
    }
    set awsSsoIntegrations(value) {
        this._awsSsoIntegrations = value;
    }
    get azureIntegrations() {
        return this._azureIntegrations;
    }
    set azureIntegrations(value) {
        this._azureIntegrations = value;
    }
    get pinned() {
        return this._pinned;
    }
    set pinned(pinned) {
        this._pinned = pinned;
    }
    get folders() {
        return this._folders;
    }
    set folders(folders) {
        this._folders = folders;
    }
    get segments() {
        return this._segments;
    }
    set segments(segments) {
        this._segments = segments;
    }
    get colorTheme() {
        return this._colorTheme;
    }
    set colorTheme(value) {
        this._colorTheme = value;
    }
    get credentialMethod() {
        return this._credentialMethod;
    }
    set credentialMethod(credentialMethod) {
        this._credentialMethod = credentialMethod;
    }
    get pluginsStatus() {
        return this._pluginsStatus;
    }
    set pluginsStatus(newPlugins) {
        this._pluginsStatus = newPlugins;
    }
    get ssmRegionBehaviour() {
        return this._ssmRegionBehaviour;
    }
    set ssmRegionBehaviour(ssmRegionBehaviour) {
        this._ssmRegionBehaviour = ssmRegionBehaviour;
    }
    get extensionEnabled() {
        return this._extensionEnabled;
    }
    set extensionEnabled(extensionEnabled) {
        this._extensionEnabled = extensionEnabled;
    }
    get samlRoleSessionDuration() {
        return this._samlRoleSessionDuration;
    }
    set samlRoleSessionDuration(duration) {
        this._samlRoleSessionDuration = duration;
    }
    get notifications() {
        return this._notifications;
    }
    set notifications(notifications) {
        this._notifications = notifications;
    }
    get requirePassword() {
        return this._requirePassword;
    }
    set requirePassword(value) {
        this._requirePassword = value;
    }
    get touchIdEnabled() {
        return this._touchIdEnabled;
    }
    set touchIdEnabled(value) {
        this._touchIdEnabled = value;
    }
}
__decorate([
    (0, class_transformer_1.Type)(() => session_1.Session)
], Workspace.prototype, "_sessions", void 0);
exports.Workspace = Workspace;
//# sourceMappingURL=workspace.js.map