import { SessionData } from "./session-data";
import { AwsIamRoleChainedSessionRequest } from "../../services/session/aws/aws-iam-role-chained-session-request";
export declare class AwsIamRoleChainedSessionData extends SessionData {
    parentSessionId: string;
    profileId: string;
    region: string;
    roleArn: string;
    sessionName: string;
    /**
     * @param parentSessionId - the ID of the parent Leapp Session this Leapp Session is going to be assumed from.
     * @param profileId - ID of the Named Profile that is going to be associated with the Leapp Session; it refers to an internal ID rather than the name assigned by the user.
     * When instantiating this class, use the method getProfileIdByName() to obtain the Named Profile ID by passing its name.
     * @param region - the region associated with the Leapp Session
     * @param roleArn - the ARN of the Role that has to be assumed via {@link https://docs.aws.amazon.com/IAM/latest/UserGuide/id_roles_terms-and-concepts.html|Role Chaining}
     * @param sessionName - the name of the Leapp Session
     */
    constructor(parentSessionId: string, profileId: string, region: string, roleArn: string, sessionName: string);
    getCreationRequest(): AwsIamRoleChainedSessionRequest;
}
