import { SessionData } from "./session-data";
import { AwsIamUserSessionRequest } from "../../services/session/aws/aws-iam-user-session-request";
export declare class AwsIamUserSessionData extends SessionData {
    profileId: string;
    region: string;
    sessionName: string;
    accessKey?: string;
    secretKey?: string;
    /**
     * @param profileId - ID of the Named Profile that is going to be associated with the Leapp Session; it refers to an internal ID rather than the name assigned by the user.
     * When instantiating this class, use the method getProfileIdByName() to obtain the Named Profile ID by passing its name.
     * @param region - the region that is going to be associated with the Leapp Session
     * @param sessionName - the name of the Leapp Session
     * @param accessKey - the Access Key ID associated with the IAM User. See {@link https://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_access-keys.html|AWS documentation}.
     * @param secretKey - the Secret Access Key associated with the IAM User. See {@link https://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_access-keys.html|AWS documentation}.
     */
    constructor(profileId: string, region: string, sessionName: string, accessKey?: string, secretKey?: string);
    getCreationRequest(): AwsIamUserSessionRequest;
}
