import { Session } from "../models/session";
import { IPluginEnvironment } from "./interfaces/i-plugin-environment";
import { PluginLogLevel } from "./plugin-log-level";
import { SessionData } from "./interfaces/session-data";
export declare enum EnvironmentType {
    desktopApp = "desktop-app",
    cli = "cli"
}
export declare class PluginEnvironment implements IPluginEnvironment {
    private readonly environmentType;
    private readonly providerService;
    private nativeService;
    private openExternalUrlService;
    constructor(environmentType: EnvironmentType, providerService: any);
    log(message: string, level: PluginLogLevel, display: boolean): void;
    fetch(url: string): any;
    openExternalUrl(loginUrl: string): void;
    getProfileIdByName(profileName: string): string;
    getIdpUrlIdByUrl(url: string): string;
    openTerminal(command: string, env?: any): Promise<void>;
    createSession(createSessionData: SessionData): Promise<string>;
    cloneSession(session: Session): Promise<string>;
    updateSession(updateSessionData: SessionData, session: Session): Promise<void>;
    private generateCredentials;
}
