import { IPlugin, IPluginMetadata } from "./interfaces/i-plugin";
import { INativeService } from "../interfaces/i-native-service";
import { LogService } from "../services/log-service";
import { Repository } from "../services/repository";
import { OperatingSystem } from "../models/operating-system";
import { Session } from "../models/session";
import { SessionFactory } from "../services/session-factory";
import { PluginEnvironment } from "./plugin-environment";
import { AwsCredentialsPlugin } from "./aws-credentials-plugin";
export declare class PluginContainer {
    metadata: IPluginMetadata;
    pluginInstances: IPlugin[];
    constructor(metadata: IPluginMetadata);
}
export declare class PluginManagerService {
    pluginEnvironment: PluginEnvironment;
    private nativeService;
    private logService;
    private repository;
    private sessionFactory;
    private http;
    private _pluginContainers;
    private _requireModule;
    private _hashElement;
    private _pluginDir;
    constructor(pluginEnvironment: PluginEnvironment, nativeService: INativeService, logService: LogService, repository: Repository, sessionFactory: SessionFactory, http: any);
    private static base64Decoding;
    get pluginContainers(): PluginContainer[];
    getPluginByName(name: string): PluginContainer;
    verifyAndGeneratePluginFolderIfMissing(): void;
    loadFromPluginDir(): Promise<void>;
    unloadAllPlugins(): void;
    unloadSinglePlugin(name: string): void;
    testRsaSignToBase64(message: string): string;
    availableAwsCredentialsPlugins(os: OperatingSystem, session: Session): AwsCredentialsPlugin[];
    installPlugin(url: string): Promise<void>;
    private extractMetadata;
    private validatePlugin;
    private rsaVerifySignatureFromBase64;
    private skipPluginValidation;
}
