import { Session } from "../models/session";
import { INativeService } from "../interfaces/i-native-service";
import { LogService } from "./log-service";
import { HttpHandler } from "@smithy/protocol-http";
export declare class AwsCoreService {
    private httpHandler;
    private nativeService;
    private logService;
    static stsEndpointsPerRegion: Map<string, string>;
    constructor(httpHandler: HttpHandler, nativeService: INativeService, logService: LogService);
    awsCredentialPath(): string;
    awsBkpCredentialPath(): string;
    awsConfigPath(): string;
    awsBkpConfigPath(): string;
    stsOptions(session: Session, isV3?: boolean, credentials?: any): any;
    getRegions(): {
        region: string;
    }[];
}
