import { Repository } from "./repository";
import { GenerateSSOTokenResponse } from "./session/aws/aws-sso-role-service";
import { IAwsSsoOidcVerificationWindowService } from "../interfaces/i-aws-sso-oidc-verification-window-service";
import { BrowserWindowClosing } from "../interfaces/i-browser-window-closing";
export declare class AwsSsoOidcService {
    private verificationWindowService;
    private repository;
    private disableInAppBrowser;
    readonly listeners: BrowserWindowClosing[];
    private ssoOidc;
    private generateSSOTokenResponse;
    private setIntervalQueue;
    private mainIntervalId;
    private loginMutex;
    private timeoutOccurred;
    private interruptOccurred;
    constructor(verificationWindowService: IAwsSsoOidcVerificationWindowService, repository: Repository, disableInAppBrowser?: boolean);
    getListeners(): BrowserWindowClosing[];
    appendListener(listener: BrowserWindowClosing): void;
    login(configurationId: string | number, region: string, portalUrl: string): Promise<GenerateSSOTokenResponse>;
    closeVerificationWindow(): void;
    interrupt(): void;
    private getAwsSsoOidcClient;
    private registerSsoOidcClient;
    private startDeviceAuthorization;
    private createToken;
    private waitForToken;
}
