import { BehaviorSubject } from "rxjs";
import { Repository } from "./repository";
import { Session } from "../models/session";
import { IBehaviouralNotifier } from "../interfaces/i-behavioural-notifier";
import { Integration } from "../models/integration";
import { SessionSelectionState } from "../models/session-selection-state";
export declare class BehaviouralSubjectService implements IBehaviouralNotifier {
    private repository;
    readonly sessions$: BehaviorSubject<Session[]>;
    readonly integrations$: BehaviorSubject<Integration[]>;
    readonly sessionSelections$: BehaviorSubject<SessionSelectionState[]>;
    readonly fetchingIntegrationState$: BehaviorSubject<string | undefined>;
    constructor(repository: Repository);
    get sessions(): Session[];
    set sessions(sessions: Session[]);
    getSessionById(sessionId: string): Session;
    getSessions(): Session[];
    setSessions(sessions: Session[]): void;
    get integrations(): Integration[];
    set integrations(integrations: Integration[]);
    getIntegrations(): Integration[];
    getIntegrationById(integrationId: string): Integration;
    setIntegrations(integrations: Integration[]): void;
    get sessionSelections(): SessionSelectionState[];
    set sessionSelections(sessionSelections: SessionSelectionState[]);
    selectSession(sessionId: string): void;
    openContextualMenu(sessionId: string, menuX: number, menuY: number): void;
    unselectSessions(): void;
    reloadSessionsAndIntegrationsFromRepository(): void;
    setFetchingIntegrations(fetchingState: string | undefined): void;
}
