import { AccessMethod } from "../models/access-method";
import { CloudProviderType } from "../models/cloud-provider-type";
import { SessionType } from "../models/session-type";
import { AwsCoreService } from "./aws-core-service";
import { AzureCoreService } from "./azure-core-service";
import { FieldChoice } from "./field-choice";
import { NamedProfilesService } from "./named-profiles-service";
import { IdpUrlsService } from "./idp-urls-service";
import { Repository } from "./repository";
import { IntegrationMethod } from "../models/integration-method";
export declare const createNewIdpUrlFieldChoice = "CreateNewIdpUrlFieldChoice";
export declare class CloudProviderService {
    private awsCoreService;
    private azureCoreService;
    private namedProfilesService;
    private idpUrlService;
    private repository;
    constructor(awsCoreService: AwsCoreService, azureCoreService: AzureCoreService, namedProfilesService: NamedProfilesService, idpUrlService: IdpUrlsService, repository: Repository);
    availableCloudProviders(): CloudProviderType[];
    creatableAccessMethods(cloudProviderType: CloudProviderType): AccessMethod[];
    creatableIntegrationMethods(): IntegrationMethod[];
    getSessionTypeMap(): Map<SessionType, string>;
    availableRegions(sessionType: SessionType): FieldChoice[];
    private get accessMethodMap();
    private get regionMap();
    private getAzureLocationChoices;
    private getAwsRegionChoices;
    private getAwsAssumerSessionChoices;
    private getAwsNamedProfileChoices;
    private getIdpUrls;
}
