import { SessionFactory } from "./session-factory";
import { Repository } from "./repository";
import { Session } from "../models/session";
import { IdpUrl } from "../models/idp-url";
export declare class IdpUrlsService {
    private sessionFactory;
    private repository;
    constructor(sessionFactory: SessionFactory, repository: Repository);
    getIdpUrls(): IdpUrl[];
    getIdpUrl(id: string): IdpUrl;
    /**
     * Get or create the AWS IdPUrl ID from the unique name
     *
     * @param url
     * @return id the IdP URL id if the given URL if the idpUrl exists, otherwise creates a new IdPUrl and returns its id
     */
    getIdpUrlIdByUrl(url: string): string;
    createIdpUrl(idpUrl: string): IdpUrl;
    editIdpUrl(id: string, newIdpUrl: string): void;
    deleteIdpUrl(id: string): Promise<void>;
    validateIdpUrl(url: string): boolean | string;
    getDependantSessions(idpUrlId: string, includingChained?: boolean): Session[];
    mergeIdpUrl(url: string): IdpUrl;
    private getNewId;
}
