import { AwsSsoIntegrationService } from "./integration/aws-sso-integration-service";
import { AzureIntegrationService } from "./integration/azure-integration-service";
import { IIntegrationService } from "../interfaces/i-integration-service";
import { IntegrationType } from "../models/integration-type";
import { IntegrationParams } from "../models/integration-params";
import { Integration } from "../models/integration";
export declare class IntegrationFactory {
    private readonly awsSsoIntegrationService;
    private readonly azureIntegrationService;
    constructor(awsSsoIntegrationService: AwsSsoIntegrationService, azureIntegrationService: AzureIntegrationService);
    getIntegrationService(integrationType: IntegrationType): IIntegrationService;
    create(integrationType: IntegrationType, creationParams: IntegrationParams): Promise<void>;
    update(integrationId: string, updateParams: IntegrationParams): Promise<void>;
    delete(integrationId: string): Promise<void>;
    syncSessions(integrationId: string): Promise<any>;
    logout(integrationId: string): Promise<void>;
    getRemainingHours(integration: Integration): string;
    setOnline(integration: Integration): Promise<void>;
    getIntegrations(): Integration[];
    getIntegrationById(integrationId: string): Integration;
}
