"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IntegrationIsOnlineStateRefreshService = void 0;
class IntegrationIsOnlineStateRefreshService {
    constructor(integrationFactory, behaviouralSubjectService) {
        this.integrationFactory = integrationFactory;
        this.behaviouralSubjectService = behaviouralSubjectService;
    }
    async refreshIsOnlineState() {
        const integrations = this.integrationFactory.getIntegrations();
        await Promise.all(integrations.map((integration) => this.integrationFactory.setOnline(integration)));
        this.behaviouralSubjectService.setIntegrations(this.integrationFactory.getIntegrations());
    }
}
exports.IntegrationIsOnlineStateRefreshService = IntegrationIsOnlineStateRefreshService;
//# sourceMappingURL=integration-is-online-state-refresh-service.js.map