import { ILogger } from "../interfaces/i-logger";
export declare enum LogLevel {
    success = 0,
    info = 1,
    warn = 2,
    error = 3
}
export declare class LoggedEntry extends Error {
    context: any;
    level: LogLevel;
    display: boolean;
    customStack?: string;
    constructor(message: string, context: any, level: LogLevel, display?: boolean, customStack?: string);
}
export declare class LoggedException extends LoggedEntry {
    context: any;
    level: LogLevel;
    display: boolean;
    customStack?: string;
    constructor(message: string, context: any, level: LogLevel, display?: boolean, customStack?: string);
}
export declare class LogService {
    private logger;
    constructor(logger: ILogger);
    log(loggedEntry: LoggedEntry): void;
    getCoreVersion(): string;
}
