import { AwsNamedProfile } from "../models/aws/aws-named-profile";
import { Repository } from "./repository";
import { Session } from "../models/session";
import { SessionFactory } from "./session-factory";
import { BehaviouralSubjectService } from "./behavioural-subject-service";
export declare class NamedProfilesService {
    private sessionFactory;
    private repository;
    private behaviouralSubjectService;
    constructor(sessionFactory: SessionFactory, repository: Repository, behaviouralSubjectService: BehaviouralSubjectService);
    getNamedProfiles(excludingDefault?: boolean): AwsNamedProfile[];
    getProfileName(profileId: string): string;
    getDefaultProfileId(): string;
    getNamedProfilesMap(): Map<string, AwsNamedProfile>;
    /**
     * Get or create the AWS named profile ID from the unique name
     *
     * @param profileName
     * @return id the profile id if the named profile exists, otherwise creates a new profile and returns its id
     */
    getProfileIdByName(profileName: string): string;
    getSessionsWithNamedProfile(id: string): Session[];
    createNamedProfile(name: string): AwsNamedProfile;
    mergeProfileName(name: string): AwsNamedProfile;
    editNamedProfile(id: string, newName: string): Promise<void>;
    deleteNamedProfile(id: string): Promise<void>;
    changeNamedProfile(session: Session, newNamedProfileId: string): Promise<void>;
    getNewId(): string;
    validateNewProfileName(name: string): boolean | string;
}
