"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationService = void 0;
class NotificationService {
    constructor(repository) {
        this.repository = repository;
        if (!this.repository.getNotifications()) {
            this.repository.setNotifications([]);
        }
    }
    getNotifications(unread) {
        if (unread !== undefined && unread === true) {
            return this.repository.getNotifications().filter((n) => !n.read);
        }
        return this.repository.getNotifications();
    }
    setNotificationAsRead(uuid) {
        const notifications = this.getNotifications();
        notifications.forEach((n) => {
            if (n.uuid === uuid) {
                n.read = true;
            }
        });
        this.repository.setNotifications(notifications);
    }
    setNotifications(notifications) {
        this.repository.setNotifications(notifications);
    }
    removeNotification(notificationToBeRemoved) {
        const notifications = this.getNotifications();
        const newNotifications = notifications.filter((notification) => notification.uuid !== notificationToBeRemoved.uuid);
        this.setNotifications(newNotifications);
    }
    getNotificationByUuid(uuid) {
        return this.getNotifications().find((leappNotification) => leappNotification.uuid === uuid);
    }
}
exports.NotificationService = NotificationService;
//# sourceMappingURL=notification-service.js.map