"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegionsService = void 0;
const session_status_1 = require("../models/session-status");
class RegionsService {
    constructor(sessionFactory, repository, behaviouralSubjectService) {
        this.sessionFactory = sessionFactory;
        this.repository = repository;
        this.behaviouralSubjectService = behaviouralSubjectService;
    }
    async changeRegion(session, newRegion) {
        const sessionService = this.sessionFactory.getSessionService(session.type);
        const wasActive = session.status === session_status_1.SessionStatus.active;
        if (wasActive) {
            await sessionService.stop(session.sessionId);
        }
        session.region = newRegion;
        this.repository.updateSession(session.sessionId, session);
        this.behaviouralSubjectService.setSessions(this.repository.getSessions());
        if (wasActive) {
            await sessionService.start(session.sessionId);
        }
    }
    getDefaultAwsRegion() {
        return this.repository.getDefaultRegion();
    }
    changeDefaultAwsRegion(newDefaultRegion) {
        this.repository.updateDefaultRegion(newDefaultRegion);
    }
}
exports.RegionsService = RegionsService;
//# sourceMappingURL=regions-service.js.map