import { RegisterClientResponse, StartDeviceAuthorizationResponse, VerificationResponse } from "./session/aws/aws-sso-role-service";
import { INativeService } from "../interfaces/i-native-service";
import { RpcRequest, RpcResponse } from "./remote-procedures-server";
export declare class RemoteProceduresClient {
    private nativeService;
    private serverId;
    constructor(nativeService: INativeService, serverId?: string);
    isDesktopAppRunning(): Promise<boolean>;
    needAuthentication(idpUrl: string): Promise<boolean>;
    needMfa(sessionName: string): Promise<string>;
    awsSignIn(idpUrl: string, needToAuthenticate: boolean): Promise<string>;
    openVerificationWindow(registerClientResponse: RegisterClientResponse, startDeviceAuthorizationResponse: StartDeviceAuthorizationResponse, windowModality: string, onWindowClose: () => void): Promise<VerificationResponse>;
    refreshSessions(): Promise<void>;
    refreshIntegrations(): Promise<void>;
    msalProtectData(dataToEncrypt: Uint8Array, optionalEntropy: Uint8Array, scope: string): Promise<Uint8Array>;
    msalUnprotectData(encryptedData: Uint8Array, optionalEntropy: Uint8Array, scope: string): Promise<Uint8Array>;
    keychainSaveSecret(service: string, account: string, password: string): Promise<void>;
    keychainGetSecret(service: string, account: string): Promise<string | null>;
    keychainDeleteSecret(service: string, account: string): Promise<boolean>;
    refreshWorkspaceState(): Promise<void>;
    remoteProcedureCall(rpcRequest: RpcRequest, onReturn: (data: RpcResponse, resolve: (value: unknown) => void, reject: (reason?: any) => void) => void, onDisconnect: (resolve: (value: unknown) => void, reject: (reason?: any) => void) => void, onCallback?: (data: RpcResponse, resolve: (value: unknown) => void, reject: (reason?: any) => void) => void): Promise<any>;
}
