"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RotationService = void 0;
class RotationService {
    constructor(sessionServiceFactory, repository) {
        this.sessionServiceFactory = sessionServiceFactory;
        this.repository = repository;
    }
    rotate() {
        const activeSessions = this.repository.listActive();
        activeSessions.forEach((session) => {
            if (session.expired()) {
                const concreteSessionService = this.sessionServiceFactory.getSessionService(session.type);
                concreteSessionService.rotate(session.sessionId).then((_) => { });
            }
        });
    }
}
exports.RotationService = RotationService;
//# sourceMappingURL=rotation-service.js.map