import { SessionType } from "../models/session-type";
import { AwsIamRoleChainedService } from "./session/aws/aws-iam-role-chained-service";
import { AwsIamRoleFederatedService } from "./session/aws/aws-iam-role-federated-service";
import { AwsIamUserService } from "./session/aws/aws-iam-user-service";
import { AwsSsoRoleService } from "./session/aws/aws-sso-role-service";
import { AzureSessionService } from "./session/azure/azure-session-service";
import { CreateSessionRequest } from "./session/create-session-request";
import { SessionService } from "./session/session-service";
import { LocalstackSessionService } from "./session/localstack/localstack-session-service";
export declare class SessionFactory {
    private readonly awsIamUserService;
    private readonly awsIamRoleFederatedService;
    private readonly awsIamRoleChainedService;
    private readonly awsSsoRoleService;
    private readonly azureSessionService;
    private readonly localstackSessionService;
    constructor(awsIamUserService: AwsIamUserService, awsIamRoleFederatedService: AwsIamRoleFederatedService, awsIamRoleChainedService: AwsIamRoleChainedService, awsSsoRoleService: AwsSsoRoleService, azureSessionService: AzureSessionService, localstackSessionService: LocalstackSessionService);
    getSessionService(sessionType: SessionType): SessionService;
    createSession(sessionType: SessionType, sessionRequest: CreateSessionRequest): Promise<void>;
    getCompatibleTypes(sessionType: SessionType): SessionType[];
}
