import { Session } from "../models/session";
import { Repository } from "./repository";
import { AwsSsoRoleSession } from "../models/aws/aws-sso-role-session";
import { SessionFactory } from "./session-factory";
export declare class SessionManagementService {
    private repository;
    private sessionFactory;
    constructor(repository: Repository, sessionFactory: SessionFactory);
    getSessions(): Session[];
    getAssumableSessions(): Session[];
    getActiveAndPendingSessions(): Session[];
    getActiveSessions(): Session[];
    getPendingSessions(): Session[];
    getSessionById(selectedSessionId: string): Session;
    getIamRoleChained(session: Session): Session[];
    getAwsSsoRoles(): AwsSsoRoleSession[];
    updateSessions(sessions: Session[]): void;
    updateSession(id: string, session: Session): void;
    deleteSession(sessionId: string): void;
    stopAllSessions(): Promise<void>;
}
