import { AssumeRoleResponse } from "@aws-sdk/client-sts";
import { IBehaviouralNotifier } from "../../../interfaces/i-behavioural-notifier";
import { AwsIamRoleChainedSession } from "../../../models/aws/aws-iam-role-chained-session";
import { CredentialsInfo } from "../../../models/credentials-info";
import { AwsCoreService } from "../../aws-core-service";
import { FileService } from "../../file-service";
import { Repository } from "../../repository";
import { AwsIamRoleChainedSessionRequest } from "./aws-iam-role-chained-session-request";
import { AwsIamUserService } from "./aws-iam-user-service";
import { AwsParentSessionFactory } from "./aws-parent-session.factory";
import { AwsSessionService } from "./aws-session-service";
export declare class AwsIamRoleChainedService extends AwsSessionService {
    private awsIamUserService;
    private parentSessionServiceFactory;
    constructor(iSessionNotifier: IBehaviouralNotifier, repository: Repository, awsCoreService: AwsCoreService, fileService: FileService, awsIamUserService: AwsIamUserService, parentSessionServiceFactory: AwsParentSessionFactory);
    static sessionTokenFromAssumeRoleResponse(assumeRoleResponse: AssumeRoleResponse): {
        sessionToken: any;
    };
    create(request: AwsIamRoleChainedSessionRequest): Promise<void>;
    update(sessionId: string, updateRequest: AwsIamRoleChainedSessionRequest): Promise<void>;
    applyCredentials(sessionId: string, credentialsInfo: CredentialsInfo): Promise<void>;
    deApplyCredentials(sessionId: string): Promise<void>;
    generateCredentialsProxy(sessionId: string): Promise<CredentialsInfo>;
    generateCredentials(sessionId: string): Promise<CredentialsInfo>;
    validateCredentials(sessionId: string): Promise<boolean>;
    removeSecrets(_: string): void;
    getCloneRequest(session: AwsIamRoleChainedSession): Promise<AwsIamRoleChainedSessionRequest>;
    getAccountNumberFromCallerIdentity(session: AwsIamRoleChainedSession): Promise<string>;
    private generateSessionToken;
    private saveSessionTokenExpirationInTheSession;
}
