import { IAwsSamlAuthenticationService } from "../../../interfaces/i-aws-saml-authentication-service";
import { IBehaviouralNotifier } from "../../../interfaces/i-behavioural-notifier";
import { AwsIamRoleFederatedSession } from "../../../models/aws/aws-iam-role-federated-session";
import { CredentialsInfo } from "../../../models/credentials-info";
import { AwsCoreService } from "../../aws-core-service";
import { FileService } from "../../file-service";
import { Repository } from "../../repository";
import { AwsIamRoleFederatedSessionRequest } from "./aws-iam-role-federated-session-request";
import { AwsSessionService } from "./aws-session-service";
import { AssumeRoleWithSAMLResponse } from "@aws-sdk/client-sts";
export declare class AwsIamRoleFederatedService extends AwsSessionService {
    private awsAuthenticationService;
    private samlRoleSessionDuration;
    constructor(iSessionNotifier: IBehaviouralNotifier, repository: Repository, fileService: FileService, awsCoreService: AwsCoreService, awsAuthenticationService: IAwsSamlAuthenticationService, samlRoleSessionDuration: number);
    static sessionTokenFromGetSessionTokenResponse(assumeRoleResponse: AssumeRoleWithSAMLResponse): {
        sessionToken: any;
    };
    create(request: AwsIamRoleFederatedSessionRequest): Promise<void>;
    update(sessionId: string, updateRequest: AwsIamRoleFederatedSessionRequest): Promise<void>;
    applyCredentials(sessionId: string, credentialsInfo: CredentialsInfo): Promise<void>;
    deApplyCredentials(sessionId: string): Promise<void>;
    generateCredentialsProxy(sessionId: string): Promise<CredentialsInfo>;
    generateCredentials(sessionId: string): Promise<CredentialsInfo>;
    getAccountNumberFromCallerIdentity(session: AwsIamRoleFederatedSession): Promise<string>;
    validateCredentials(sessionId: string): Promise<boolean>;
    removeSecrets(_: string): void;
    getCloneRequest(session: AwsIamRoleFederatedSession): Promise<AwsIamRoleFederatedSessionRequest>;
    private assumeRoleWithSAML;
    private saveSessionTokenExpirationInTheSession;
}
