import { GetSessionTokenResponse } from "@aws-sdk/client-sts";
import { IMfaCodePrompter } from "../../../interfaces/i-mfa-code-prompter";
import { IBehaviouralNotifier } from "../../../interfaces/i-behavioural-notifier";
import { AwsIamUserSession } from "../../../models/aws/aws-iam-user-session";
import { CredentialsInfo } from "../../../models/credentials-info";
import { Session } from "../../../models/session";
import { AwsCoreService } from "../../aws-core-service";
import { FileService } from "../../file-service";
import { Repository } from "../../repository";
import { AwsIamUserSessionRequest } from "./aws-iam-user-session-request";
import { AwsSessionService } from "./aws-session-service";
import { IKeychainService } from "../../../interfaces/i-keychain-service";
export interface GenerateSessionTokenCallingMfaParams {
    DurationSeconds: number;
    SerialNumber?: string;
    TokenCode?: string;
}
export declare class AwsIamUserService extends AwsSessionService {
    private localMfaCodePrompter;
    private remoteMfaCodePrompter;
    private keychainService;
    private mfaCodePrompterProxy;
    constructor(iSessionNotifier: IBehaviouralNotifier, repository: Repository, localMfaCodePrompter: IMfaCodePrompter, remoteMfaCodePrompter: IMfaCodePrompter, keychainService: IKeychainService, fileService: FileService, awsCoreService: AwsCoreService);
    static isTokenExpired(tokenExpiration: string): boolean;
    static sessionTokenFromGetSessionTokenResponse(getSessionTokenResponse: GetSessionTokenResponse): {
        sessionToken: any;
    };
    create(request: AwsIamUserSessionRequest): Promise<void>;
    update(sessionId: string, updateRequest: AwsIamUserSessionRequest): Promise<void>;
    applyCredentials(sessionId: string, credentialsInfo: CredentialsInfo): Promise<void>;
    deApplyCredentials(sessionId: string): Promise<void>;
    generateCredentialsProxy(sessionId: string): Promise<CredentialsInfo>;
    generateCredentials(sessionId: string): Promise<CredentialsInfo>;
    getAccountNumberFromCallerIdentity(session: Session): Promise<string>;
    validateCredentials(sessionId: string): Promise<boolean>;
    removeSecrets(sessionId: string): Promise<void>;
    getCloneRequest(session: AwsIamUserSession): Promise<AwsIamUserSessionRequest>;
    private generateSessionTokenCallingMfaModal;
    private getAccessKeyFromKeychain;
    private getSecretKeyFromKeychain;
    private removeAccessKeyFromKeychain;
    private removeSecretKeyFromKeychain;
    private removeSessionTokenFromKeychain;
    private generateSessionToken;
    private saveSessionTokenExpirationInTheSession;
}
