import { IBehaviouralNotifier } from "../../../interfaces/i-behavioural-notifier";
import { AwsProcessCredentials } from "../../../models/aws/aws-process-credential";
import { CredentialsInfo } from "../../../models/credentials-info";
import { Session } from "../../../models/session";
import { Repository } from "../../repository";
import { SessionService } from "../session-service";
import { AwsCoreService } from "../../aws-core-service";
import { FileService } from "../../file-service";
export declare abstract class AwsSessionService extends SessionService {
    protected sessionNotifier: IBehaviouralNotifier;
    protected repository: Repository;
    protected awsCoreService: AwsCoreService;
    protected fileService: FileService;
    protected constructor(sessionNotifier: IBehaviouralNotifier, repository: Repository, awsCoreService: AwsCoreService, fileService: FileService);
    getDependantSessions(sessionId: string): Session[];
    start(sessionId: string): Promise<void>;
    rotate(sessionId: string): Promise<void>;
    stop(sessionId: string): Promise<void>;
    delete(sessionId: string): Promise<void>;
    generateProcessCredentials(sessionId: string): Promise<AwsProcessCredentials>;
    applyConfigProfileCommand(sessionId: string): Promise<void>;
    deApplyConfigProfileCommand(sessionId: string): Promise<void>;
    private isThereAnotherPendingSessionWithSameNamedProfile;
    private stopAllWithSameNameProfile;
    abstract getAccountNumberFromCallerIdentity(session: Session): Promise<string>;
    abstract generateCredentialsProxy(sessionId: string): Promise<CredentialsInfo>;
    abstract generateCredentials(sessionId: string): Promise<CredentialsInfo>;
    abstract applyCredentials(sessionId: string, credentialsInfo: CredentialsInfo): Promise<void>;
    abstract deApplyCredentials(sessionId: string): Promise<void>;
    abstract removeSecrets(sessionId: string): void;
}
