import { IBehaviouralNotifier } from "../../../interfaces/i-behavioural-notifier";
import { AzureSession } from "../../../models/azure/azure-session";
import { Session } from "../../../models/session";
import { ExecuteService } from "../../execute-service";
import { FileService } from "../../file-service";
import { Repository } from "../../repository";
import { SessionService } from "../session-service";
import { AzureSessionRequest } from "./azure-session-request";
import { LogService } from "../../log-service";
import { INativeService } from "../../../interfaces/i-native-service";
import { AzurePersistenceService } from "../../azure-persistence-service";
import { CreateSessionRequest } from "../create-session-request";
export declare class AzureSessionService extends SessionService {
    private fileService;
    private executeService;
    private azureMsalCacheFile;
    private nativeService;
    private azurePersistenceService;
    private logService;
    constructor(iSessionNotifier: IBehaviouralNotifier, repository: Repository, fileService: FileService, executeService: ExecuteService, azureMsalCacheFile: string, nativeService: INativeService, azurePersistenceService: AzurePersistenceService, logService: LogService);
    getDependantSessions(_: string): Session[];
    create(sessionRequest: AzureSessionRequest): Promise<void>;
    start(sessionId: string): Promise<void>;
    rotate(sessionId: string): Promise<void>;
    stop(sessionId: string): Promise<void>;
    delete(sessionId: string): Promise<void>;
    validateCredentials(_sessionId: string): Promise<boolean>;
    getCloneRequest(session: AzureSession): Promise<AzureSessionRequest>;
    update(_: string, __: CreateSessionRequest): Promise<void>;
    private restoreSecretsFromKeychain;
    private moveRefreshTokenToKeychain;
    private getAccessTokenExpiration;
    private updateProfiles;
    private stopAllOtherSessions;
    private getNextRotationTime;
}
