import { IBehaviouralNotifier } from "../../../interfaces/i-behavioural-notifier";
import { CredentialsInfo } from "../../../models/credentials-info";
import { Repository } from "../../repository";
import { SessionService } from "../session-service";
import { AwsCoreService } from "../../aws-core-service";
import { FileService } from "../../file-service";
import { LocalstackSessionRequest } from "./localstack-session-request";
import { Session } from "../../../models/session";
import { AwsProcessCredentials } from "../../../models/aws/aws-process-credential";
export declare class LocalstackSessionService extends SessionService {
    protected sessionNotifier: IBehaviouralNotifier;
    protected repository: Repository;
    protected awsCoreService: AwsCoreService;
    protected fileService: FileService;
    constructor(sessionNotifier: IBehaviouralNotifier, repository: Repository, awsCoreService: AwsCoreService, fileService: FileService);
    create(request: LocalstackSessionRequest): Promise<void>;
    update(sessionId: string, updateRequest: LocalstackSessionRequest): Promise<void>;
    start(sessionId: string): Promise<void>;
    rotate(sessionId: string): Promise<void>;
    stop(sessionId: string): Promise<void>;
    delete(sessionId: string): Promise<void>;
    deApplyConfigProfileCommand(sessionId: string): Promise<void>;
    generateCredentials: () => Promise<CredentialsInfo>;
    applyCredentials(sessionId: string, credentialsInfo: CredentialsInfo): any;
    generateProcessCredentials(_: string): Promise<AwsProcessCredentials>;
    deApplyCredentials(sessionId: string): Promise<any>;
    getCloneRequest(session: Session): Promise<LocalstackSessionRequest>;
    getDependantSessions(sessionId: string): Session[];
    validateCredentials(sessionId: string): Promise<boolean>;
    private isThereAnotherPendingSessionWithSameNamedProfile;
    private stopAllWithSameNameProfile;
}
