import { FileService } from "./file-service";
import { INativeService } from "../interfaces/i-native-service";
import { LogService } from "./log-service";
import { Workspace } from "../models/workspace";
export declare class WorkspaceConsistencyService {
    private fileService;
    private nativeService;
    private logService;
    private _workspaceFileName;
    constructor(fileService: FileService, nativeService: INativeService, logService: LogService);
    private get fileLockPath();
    private get fileLockBackupPath();
    get workspaceFileName(): string;
    set workspaceFileName(value: string);
    getWorkspace(): Workspace;
    createNewWorkspace(): Workspace;
    private checkConsistency;
    private saveBackup;
    private save;
    private loadWorkspace;
    private restoreBackup;
    private cleanWorkspace;
}
