import { Repository } from "./repository";
import { Workspace } from "../models/workspace";
import { GlobalSettings } from "../interfaces/i-global-settings";
import { Session } from "../models/session";
export declare class WorkspaceService {
    private repository;
    constructor(repository: Repository);
    getWorkspace(): Workspace;
    persistWorkspace(workspace: Workspace): void;
    workspaceExists(): boolean;
    getDefaultProfileId(): string;
    createWorkspace(): void;
    removeWorkspace(): void;
    reloadWorkspace(): void;
    setWorkspaceFileName(value: string): void;
    getWorkspaceFileName(): string;
    extractGlobalSettings(userId?: string, teamId?: string, localSessions?: Session[]): GlobalSettings;
    applyGlobalSettings(globalSettings: GlobalSettings, localSessions: Session[], remoteSessionIds?: string[]): void;
}
